Deepstream docker nvidia

Deepstream-docker- nvidia docker not working
• GeForce RTX 3070
• docker - nvidia/cuda:11.0-base
• 460.91.03
• nvdia-docker is no longer working - tried adding -

distribution=$(. /etc/os-release;echo $ID$VERSION_ID)
&& curl -s -L https://nvidia.github.io/nvidia-docker/gpgkey | sudo apt-key add -
&& curl -s -L https://nvidia.github.io/nvidia-docker/$distribution/nvidia-docker.list | sudo tee /etc/apt/sources.list.d/nvidia-docker.list

gpg: no valid OpenPGP data found.

and without it the docker base image i.e

sudo docker run --rm --gpus all nvidia/cuda:11.0-base nvidia-smi

returns -

docker: Error response from daemon: could not select device driver “” with capabilities: [[gpu]].

when inside - nvcr.io/nvidia/deepstream 5.0.1-20.09-triton asame is the result with nvcr.io/nvidia/deepstream 6.0-triton

opt/nvidia/deepstream/deepstream-5.0/samples/configs/deepstream-app# deepstream-app -c source30_1080p_dec_infer-resnet_tiled_display_int8.txt

the error is :

** ERROR: <create_multi_source_bin:1057>: Failed to create element ‘src_bin_muxer’
** ERROR: <create_multi_source_bin:1132>: create_multi_source_bin failed
** ERROR: <create_pipeline:1296>: create_pipeline failed
** ERROR: main:636: Failed to create pipeline
Quitting
App run failed

I have tried this with pop os , ubuntu 20, and now ubuntu 18.

why don’t use DeepStream container - Docker Containers — DeepStream 6.0 Release documentation ?

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.